SLMail HELO Command Remote Overflow

High Nessus Plugin ID 10256


The remote mail server may be affected by a buffer overflow vulnerability.


There might be a buffer overflow when this MTA is issued the 'HELO' command issued by a too long argument. This problem may allow an attacker to execute arbitrary code on this computer, subject to the privileges under which the service operates, or to deny service to legitimate users of the server.


Contact the vendor for a fix.

See Also

Plugin Details

Severity: High

ID: 10256

File Name: slmail_helo.nasl

Version: $Revision: 1.35 $

Type: remote

Published: 1999/06/22

Modified: 2013/01/25

Dependencies: 10263, 10249, 17975

Risk Information

Risk Factor: High


Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

Vulnerability Publication Date: 1999/02/04

Reference Information

CVE: CVE-1999-0284

OSVDB: 202